package com.fkzy.warn.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fkzy.warn.common.request.RequestParameter;
import com.fkzy.warn.model.Test;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
public interface TestService extends IService<Test> {

    /**
     * 保存
     * @param entity
     * @return
     */
    boolean saveModel(Test entity);

    /**
     * 修改
     * @param entity
     * @return
     */
    boolean updateModel(Test entity);

    /**
     * 删除
     * @param entity
     * @return
     */
    boolean deleteModel(Test entity);

    /**
     * 分页查询
     * @param parameter
     * @return
     */
    Page<Test> queryPage(RequestParameter parameter);



}
